public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Eray Aslan" <eras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/virtualenvwrapper/
Date: Wed, 12 Oct 2022 06:31:56 +0000 (UTC)	[thread overview]
Message-ID: <1665556264.37570b3adef0ffa5e9aba77b9a770f7521b6b13e.eras@gentoo> (raw)

commit:     37570b3adef0ffa5e9aba77b9a770f7521b6b13e
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 12 06:30:09 2022 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 06:31:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37570b3a

dev-python/virtualenvwrapper: do not install namespace packages

update EAPI 7 -> 8

Closes: https://bugs.gentoo.org/876367
Closes: https://bugs.gentoo.org/798609
Signed-off-by: Eray Aslan <eras <AT> gentoo.org>

 .../virtualenvwrapper-4.8.4-r2.ebuild              | 47 ++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild b/dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild
new file mode 100644
index 000000000000..13f088a96ea5
--- /dev/null
+++ b/dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Set of extensions to Ian Bicking's virtualenv tool"
+HOMEPAGE="https://bitbucket.org/dhellmann/virtualenvwrapper
+	https://pypi.org/project/virtualenvwrapper/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# testsuite doesn't work out of the box.  Demand of a virtualenv outstrips setup by the eclass
+RESTRICT=test
+
+RDEPEND="
+	dev-python/virtualenv[${PYTHON_USEDEP}]
+	dev-python/stevedore[${PYTHON_USEDEP}]
+	dev-python/virtualenv-clone[${PYTHON_USEDEP}]"
+DEPEND="${DEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/pbr[${PYTHON_USEDEP}]"
+
+src_prepare() {
+	default
+	sed -i -e 's/egrep/grep -E/' "${S}/virtualenvwrapper.sh" || die
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	bash ./tests/run_tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${D}" -name '*.pth' -delete || die
+}


             reply	other threads:[~2022-10-12  6:32 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-12  6:31 Eray Aslan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-15  7:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/virtualenvwrapper/ Joonas Niilola
2024-02-15  7:00 Joonas Niilola
2024-01-30 11:33 Sam James
2024-01-22 14:08 Michał Górny
2024-01-22  7:58 Joonas Niilola
2024-01-22  7:58 Joonas Niilola
2023-08-23  7:56 Michał Górny
2023-08-23  5:35 Joonas Niilola
2023-08-23  5:35 Joonas Niilola
2023-07-22  4:36 Matthew Thode
2023-06-21 10:34 Michał Górny
2023-06-21 10:34 Michał Górny
2023-03-16  4:13 Michał Górny
2022-12-10 15:52 Michał Górny
2022-12-10 14:33 Arthur Zamarin
2022-12-10  9:12 Arthur Zamarin
2022-11-04 19:49 Arthur Zamarin
2022-11-01  6:17 Georgy Yakovlev
2021-12-31  6:48 Matthew Thode
2021-01-25  6:49 Matthew Thode
2020-05-02  4:31 Matthew Thode
2020-05-01 19:18 Matthew Thode
2020-05-01 17:43 Matthew Thode
2020-03-29 11:14 Michał Górny
2020-02-11 19:50 Agostino Sarubbo
2020-02-11 19:43 Agostino Sarubbo
2019-12-29 13:06 David Seifert
2019-12-28 16:16 David Seifert
2019-08-10 22:01 Matthew Thode
2018-07-21  0:06 Mikle Kolyada
2018-06-24  9:40 Mikle Kolyada
2018-05-01 18:40 Michał Górny
2018-03-24 11:21 Michał Górny
2017-10-29 18:40 Matt Thode
2017-05-02  9:48 Michał Górny
2017-01-07 14:48 David Seifert
2017-01-02  9:54 Agostino Sarubbo
2016-11-06 18:29 Michael Palimaka
2016-02-01 15:44 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665556264.37570b3adef0ffa5e9aba77b9a770f7521b6b13e.eras@gentoo \
    --to=eras@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox